Package com.google.android.exoplayer2.effect

## Interface ColorLut

- All Superinterfaces:
    `Effect`, `GlEffect`
  All Known Implementing Classes:
    `SingleColorLut`

      public interface ColorLut
      extends GlEffect

  Specifies color transformations using color lookup tables to apply to each frame in the fragment shader.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLength​(long presentationTimeUs)` | Returns the length N of the 3D N x N x N LUT cube with the given timestamp.
    `int` | `getLutTextureId​(long presentationTimeUs)` | Returns the OpenGL texture ID of the LUT to apply to the pixels of the frame with the given timestamp.
    `void` | `release()` | Releases the OpenGL texture of the LUT.
    `default SingleFrameGlTextureProcessor` | `toGlTextureProcessor​(Context context, boolean useHdr)` | This method must be executed on the same thread as other GL commands.

- - ### Method Detail

    - #### getLutTextureId

          int getLutTextureId​(long presentationTimeUs)

      Returns the OpenGL texture ID of the LUT to apply to the pixels of the frame with the given timestamp.

    - #### getLength

          int getLength​(long presentationTimeUs)

      Returns the length N of the 3D N x N x N LUT cube with the given timestamp.

    - #### release

          void release()
                throws GlUtil.GlException

      Releases the OpenGL texture of the LUT.
      Throws:
        `GlUtil.GlException`

    - #### toGlTextureProcessor

          @WorkerThread
          default SingleFrameGlTextureProcessor toGlTextureProcessor​(Context context,
                                                                     boolean useHdr)
                                                              throws FrameProcessingException

      This method must be executed on the same thread as other GL commands.
      Specified by:
        `toGlTextureProcessor` in interface `GlEffect`
      Parameters:
        `context` - A `Context`.
        `useHdr` - Whether input textures come from an HDR source. If `true`, colors will be in linear RGB BT.2020. If `false`, colors will be in linear RGB BT.709.
      Throws:
        `FrameProcessingException`